Package org.drinkless.tdlib

# Class TdApi.ChatMemberStatusBanned

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMemberStatus
org.drinkless.tdlib.TdApi.ChatMemberStatusBanned

Enclosing class:
  `TdApi`

public static class TdApi.ChatMemberStatusBanned extends TdApi.ChatMemberStatus
The user or the chat was banned (and hence is not a member of the chat). Implies the user can't return to the chat, view messages, or be used as a participant identifier to join a video chat of the chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatMemberStatus

  `TdApi.ChatMemberStatus.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `bannedUntilDate`
  Point in time (Unix timestamp) when the user will be unbanned; 0 if never.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMemberStatusBanned()`
  The user or the chat was banned (and hence is not a member of the chat).
  `ChatMemberStatusBanned(int bannedUntilDate)`
  The user or the chat was banned (and hence is not a member of the chat).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### bannedUntilDate

    public int bannedUntilDate
    Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever. Always 0 in basic groups.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMemberStatusBanned

    public ChatMemberStatusBanned()
    The user or the chat was banned (and hence is not a member of the chat). Implies the user can't return to the chat, view messages, or be used as a participant identifier to join a video chat of the chat.

  - ### ChatMemberStatusBanned

    public ChatMemberStatusBanned(int bannedUntilDate)
    The user or the chat was banned (and hence is not a member of the chat). Implies the user can't return to the chat, view messages, or be used as a participant identifier to join a video chat of the chat.
    Parameters:
      `bannedUntilDate` - Point in time (Unix timestamp) when the user will be unbanned; 0 if never. If the user is banned for more than 366 days or for less than 30 seconds from the current time, the user is considered to be banned forever. Always 0 in basic groups.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatMemberStatus`
    Returns:
      this.CONSTRUCTOR